Bug 1259172 (icewind/smb) - Review Request: php-icewind-smb - php wrapper for smbclient and libsmbclient-php
Summary: Review Request: php-icewind-smb - php wrapper for smbclient and libsmbclient-php
Status: CLOSED ERRATA
Alias: icewind/smb
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: icewind/streams
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-02 06:51 UTC by Remi Collet
Modified: 2015-10-08 22:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-03 17:52:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)
phpcompatinfo-full.log (13.89 KB, text/plain)
2015-09-20 16:22 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (11.23 KB, text/plain)
2015-09-20 16:23 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (7.98 KB, text/plain)
2015-09-20 16:24 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2015-09-02 06:51:46 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/ea60c808da16d94646a1a5b8d60b2c94d68cabf1/php/php-icewind-smb/php-icewind-smb.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-icewind-smb-1.0.4-1.remi.src.rpm
Description: 
PHP wrapper for smbclient and libsmbclient-php

* Reuses a single smbclient instance for multiple requests
* Doesn't leak the password to the process list
* Simple 1-on-1 mapping of SMB commands
* A stream-based api to remove the need for temporary files
* Support for using libsmbclient directly trough libsmbclient-php

To use this library, you just have to add, in your project:
  require-once '/usr/share/php/Icewind/SMB/autoload.php';

Fedora Account System Username: remi

Comment 1 Shawn Iwinski 2015-09-20 16:22 UTC
Created attachment 1075319 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST

Comment 2 Shawn Iwinski 2015-09-20 16:23 UTC
Created attachment 1075320 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST

Comment 3 Shawn Iwinski 2015-09-20 16:24 UTC
Created attachment 1075321 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1259172
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2015-09-20 16:26:32 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.  No blocker.



[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php/Icewind(php-
     icewind-streams)

     Since php-composer(icewind/streams) is a requirement, must remove
     %dir %{_datadir}/php/%{ns_vendor}

Comment 6 Shawn Iwinski 2015-09-20 16:39:01 UTC
[x]: Package does not own files or directories owned by other packages.

Fixed.



No blockers.

===== APPROVED =====

Comment 7 Remi Collet 2015-09-20 16:55:59 UTC
Thanks!!

New Package SCM Request
=======================
Package Name: php-icewind-smb
Short Description: php wrapper for smbclient and libsmbclient-php
Upstream URL: https://github.com/icewind1991/SMB
Owners: remi
Branches: f22 f23 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2015-09-20 18:10:28 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-09-21 06:46:37 UTC
php-icewind-smb-1.0.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8170

Comment 10 Fedora Update System 2015-09-21 06:46:43 UTC
php-icewind-smb-1.0.4-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16294

Comment 11 Fedora Update System 2015-09-21 18:21:54 UTC
php-icewind-smb-1.0.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-icewind-smb'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16293

Comment 12 Fedora Update System 2015-09-21 18:51:50 UTC
php-icewind-smb-1.0.4-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-icewind-smb'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16294

Comment 13 Fedora Update System 2015-09-23 08:52:41 UTC
php-icewind-smb-1.0.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-icewind-smb'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8170

Comment 14 Fedora Update System 2015-10-03 17:51:57 UTC
php-icewind-smb-1.0.4-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-10-03 21:16:25 UTC
php-icewind-smb-1.0.4-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-10-08 22:28:47 UTC
php-icewind-smb-1.0.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.